Arch NetzZuForm

From FreeCAD Documentation
Jump to navigation Jump to search
This page is a translated version of the page Arch MeshToShape and the translation is 80% complete.
Outdated translations are marked like this.
Other languages:
Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎română • ‎svenska • ‎čeština • ‎русский

Arch MeshToShape.svg Arch NetzZuForm

Menüeintrag
Arch → Dienstprogramme → Netz zu Form
Arbeitsbereich
Arch
Standardtastenkürzel
Keiner
Eingeführt in Version
-
Siehe auch
Arch NetzAufteilen, Arch EntferneForm

Beschreibung

Arch NetzZuForm wandelt ein gewähltes Polygonnetz (Polygonnetz Formteil) Objekt in eine Form (Part Formteil) Objekt.

Dieses Werkzeug ist für Objekte mit flachen Flächen (keine Kurven) optimiert. Das entsprechende Werkzeug Part ShapeFromMesh.svg Part FormAusNetz aus dem Workbench Part.svg Part Arbeitsbereich ist möglicherweise besser für Objekte geeignet, die gekrümmte Oberflächen enthalten.

Anwendung

  1. Wähle ein Netzobjekt
  2. Drücke den Arch MeshToShape.svg Netz zu Form Eintrag in Arch → Dienstprogramme → Netz zu Form

Eigenschaften

Begrenzungen

Skripten

Siehe auch: Arch API und FreeCAD Grundlagen Skripten.

Dieses Werkzeug kann in Makros und von der Python Konsole aus mit der folgenden Funktion verwendet werden:

new_obj = meshToShape(obj, mark=True, fast=True, tol=0.001, flat=False, cut=True)
Der obige Codeschnipsel wandelt den gegebenen obj (ein Netz) in eine Form um, die koplanare Facetten verbindet.
  • Wenn mark True ist, werden nicht-feste Objekte rot markiert.
  • Wenn fast True ist, wird ein schnellerer Algorithmus verwendet, indem aus den Facetten eine Schale aufgebaut und dann der Splitter entfernt wird.
  • tol ist die Toleranz, die bei der Umwandlung von Netzsegmenten in Drähte verwendet wird.
  • Wenn flat True ist, werden die Drähte gezwungen, perfekt planar zu sein, um sicher zu sein, dass sie in Flächen umgewandelt werden können, aber dies könnte Lücken in der endgültigen Schale hinterlassen.
  • Wenn cut True ist, werden Löcher in Flächen durch Subtraktion erzeugt.

Beispiel:

import Arch, Mesh, BuildRegularGeoms

Box = FreeCAD.ActiveDocument.addObject("Mesh::Cube", "Cube")
Box.Length = 1000
Box.Width = 2000
Box.Height = 1000
FreeCAD.ActiveDocument.recompute()

new_obj = Arch.meshToShape(Box)